Bug 1731343

Summary: [RFE] Auto-delete step for the incomplete log file if log-collector fails
Product: [oVirt] ovirt-log-collector Reporter: Guilherme Santos <gdeolive>
Component: RFEsAssignee: Douglas Schilling Landgraf <dougsland>
Status: CLOSED DEFERRED QA Contact: Lukas Svaty <lsvaty>
Severity: low Docs Contact:
Priority: low    
Version: 4.3.3CC: bugs
Target Milestone: ---Flags: sbonazzo: ovirt-4.5?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-01 14:48:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Integration RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Guilherme Santos 2019-07-19 07:47:34 UTC
Description of problem:
When running ovirt-log-collector in a machine without enough disk space, we get a error message (about the issue), but the incomplete log file (that didn't fit the disk) is not automatically deleted. The user needs to delete it manually.

Version-Release number of selected component (if applicable):
4.3.3.1

How reproducible:
100%

Steps to Reproduce:
1. Run ovirt-log-collector in a disk without enough disk space for it;
2. Get the error message.

Actual results:
Incomplete log file in the disk.

Expected results:
Get a message asking if the user wants to delete the file (Y as default) and delete the incomplete log file after if user confirms.

Additional info:

Comment 1 Michal Skrivanek 2020-03-18 15:49:26 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 2 Michal Skrivanek 2020-03-18 15:52:11 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 3 Michal Skrivanek 2020-04-01 14:48:01 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.